// dictionary.cpp:
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "dictionary.h"

//<-------Entities
const TCHAR S::product_category[] = _T("product_category");
const TCHAR S::prd_rel_prd_cat[] = _T("product_related_product_category");
const TCHAR S::product_category_relationship[] = _T("product_category_relationship");
const TCHAR S::product[]=_T("product");
const TCHAR S::pdf[]=_T("product_definition_formation");
const TCHAR S::pd[]=_T("product_definition");
const TCHAR S::apl_pdf[] = _T("apl_product_definition_formation");
const TCHAR S::assembly_component_usage[]=_T("assembly_component_usage");
const TCHAR S::apl_qacu[] = _T("apl_quantified_assembly_component_usage");
const TCHAR S::qacu[] = _T("quantified_assembly_component_usage");
const TCHAR S::acu[] = _T("assembly_component_usage");
const TCHAR S::nauo[] = _T("next_assembly_usage_occurrence");
const TCHAR S::si_unit[] = _T("si_unit");
const TCHAR S::alt_prd_rel[] = _T("alternate_product_relationship");
const TCHAR S::apl_message[] = _T("apl_message");
const TCHAR S::apl_process_template[]= _T("apl_process_template");
const TCHAR S::apl_activity[]= _T("apl_activity");
const TCHAR S::apl_process[]= _T("apl_process");
const TCHAR S::apl_task[]= _T("apl_task");
const TCHAR S::apl_action_secuence[]= _T("apl_action_secuence");
const TCHAR S::work_object[]= _T("apl_work_object");
const TCHAR S::apl_task_prototype[] = _T("apl_task_prototype");
const TCHAR S::apl_action_instance[]= _T("apl_action_instance");
const TCHAR S::apl_action[]= _T("apl_action");
const TCHAR S::apl_end_point[]= _T("apl_end_point");
const TCHAR S::apl_start_point[]= _T("apl_start_point");
const TCHAR S::apl_activity_template[] = _T("apl_activity_template");
const TCHAR S::apl_action_relationship[] = _T("apl_action_relationship");
//const TCHAR S::[] = _T("");


const TCHAR S::apl_folder[] = _T("apl_folder");
const TCHAR S::document_type[] = _T("document_type");
const TCHAR S::apl_document[] = _T("apl_document");
const TCHAR S::apl_document_revision[] = _T("apl_document_revision");
const TCHAR S::apl_digital_document[] = _T("apl_digital_document");
const TCHAR S::apl_hardcopy_document[] = _T("apl_hardcopy_document");
const TCHAR S::apl_document_relationship[] = _T("apl_document_relationship");
const TCHAR S::apl_stored_document[] = _T("apl_stored_document");
const TCHAR S::apl_assigned_document[] = _T("apl_assigned_document");
const TCHAR S::apl_document_revision_history[] = _T("apl_document_revision_history");
const TCHAR S::apl_document_lock[] = _T("apl_document_lock");
const TCHAR S::apl_document_reference[] = _T("apl_document_reference");


const TCHAR S::date[] = _T("date");
const TCHAR S::apl_date_and_time[] = _T("apl_date_and_time");
const TCHAR S::date_and_time[] = _T("date_and_time");
const TCHAR S::calendar_date[] = _T("calendar_date");
const TCHAR S::local_time[] = _T("local_time");
const TCHAR S::coordinated_universal_time_offset[] = _T("coordinated_universal_time_offset");
  
//<-------Attributes
const TCHAR S::name[] = _T("name");
const TCHAR S::content[] = _T("content");
const TCHAR S::icon[] = _T("icon");
const TCHAR S::id[] = _T("id");
const TCHAR S::description[] = _T("description");
const TCHAR S::kind[] = _T("kind");
const TCHAR S::active[] = _T("active");
const TCHAR S::state[] = _T("state");
const TCHAR S::revision_id[] = _T("revision_id");
const TCHAR S::of_document[] = _T("of_document");
const TCHAR S::label_name[] = _T("label_name");
const TCHAR S::crc[] = _T("crc");
const TCHAR S::relating[] = _T("relating");
const TCHAR S::related[] = _T("related");
const TCHAR S::product_data_type[] = _T("product_data_type");
const TCHAR S::access_form[] = _T("access_form");
const TCHAR S::format[] = _T("format");
const TCHAR S::source[] = _T("source");
const TCHAR S::location_path[] = _T("location_path");
const TCHAR S::info_on_checkout[] = _T("info_on_checkout");
const TCHAR S::info_on_checkin[] = _T("info_on_checkin");
const TCHAR S::user[] = _T("user");
const TCHAR S::start_date[] = _T("start_date");
const TCHAR S::end_date[] = _T("end_date");
const TCHAR S::file_name[] = _T("file_name");
const TCHAR S::document[] = _T("document");
const TCHAR S::revision[] = _T("revision");
const TCHAR S::items[] = _T("items");
const TCHAR S::item[] = _T("item");
const TCHAR S::assigned_document[] = _T("assigned_document");

const TCHAR S::formation[] = _T("formation");
const TCHAR S::of_product[] = _T("of_product");
const TCHAR S::frame_of_reference[]=_T("frame_of_reference");
const TCHAR S::category[] = _T("category");
const TCHAR S::sub_category[] = _T("sub_category");

const TCHAR S::year_component[] = _T("year_component");
const TCHAR S::date_component[] = _T("date_component");
const TCHAR S::time_component[] = _T("time_component");
const TCHAR S::day_component[] = _T("day_component");
const TCHAR S::month_component[] = _T("month_component");
const TCHAR S::hour_component[] = _T("hour_component");
const TCHAR S::minute_component[] = _T("minute_component");
const TCHAR S::second_component[] = _T("second_component");
const TCHAR S::zone[] = _T("zone");
const TCHAR S::hour_offset[] = _T("hour_offset");
const TCHAR S::minute_offset[] = _T("minute_offset");
const TCHAR S::sense[] = _T("sense");
const TCHAR S::ahead[] = _T("ahead");
const TCHAR S::behind[] = _T("behind");

const TCHAR S::base[] = _T("base");
const TCHAR S::basis[] = _T("basis");
const TCHAR S::alternate[] = _T("alternate");
const TCHAR S::products[] = _T("products");

const TCHAR S::formation_type[] = _T("formation_type");
const TCHAR S::usage[] = _T("usage");
const TCHAR S::quantity[] = _T("quantity");
const TCHAR S::value_component[] = _T("value_component");
const TCHAR S::val[] = _T("val");
const TCHAR S::unit_component[] = _T("unit_component");
const TCHAR S::prefix[] = _T("prefix");
const TCHAR S::is_standard_part[] = _T("is_standard_part");
const TCHAR S::measure_with_unit[] = _T("measure_with_unit");
const TCHAR S::related_pd[] = _T("related_product_definition");
const TCHAR S::relating_pd[] = _T("relating_product_definition");

const TCHAR S::sender[]= _T("sender");
const TCHAR S::recipient[]= _T("recipient");
const TCHAR S::forward_history[]= _T("forward_history");
const TCHAR S::subject[]= _T("subject");
const TCHAR S::priority[]= _T("priority");
const TCHAR S::ask_notify[]= _T("ask_notify");
const TCHAR S::status[]= _T("status");
const TCHAR S::date_send[]= _T("date_send");
const TCHAR S::date_received[]= _T("date_received");
const TCHAR S::prev_message[]= _T("prev_message");
const TCHAR S::forward[]= _T("forvard");
const TCHAR S::sender_kill[]= _T("sender_kill");
const TCHAR S::recipient_kill[]= _T("recipient_kill");

const TCHAR S::code[]= _T("code");

const TCHAR S::holders[]= _T("holders");
const TCHAR S::duration[]= _T("duration");
const TCHAR S::route[]= _T("route");
const TCHAR S::executors[]= _T("executors");
const TCHAR S::of_process_template[]= _T("of_process_template");
const TCHAR S::sub_process_templates[]= _T("sub_process_templates");
const TCHAR S::start_mode[]= _T("start_mode");
const TCHAR S::start_condition[]= _T("start_condition");
const TCHAR S::finish_mode[]= _T("finish_mode");
const TCHAR S::finish_condition[]= _T("finish_condition");
const TCHAR S::owner[]= _T("owner");
const TCHAR S::check_date[]= _T("check_date");
const TCHAR S::finish_date[]= _T("finish_date");
const TCHAR S::work_objects[]= _T("work_objects");
const TCHAR S::of_activity[]= _T("of_activity");
const TCHAR S::perfomer[]= _T("performer");
const TCHAR S::manager[]= _T("manager");
const TCHAR S::of_process[]= _T("of_process");
const TCHAR S::sub_process[]= _T("sub_processes");
const TCHAR S::previous[]= _T("previous");
const TCHAR S::from[]= _T("from");
const TCHAR S::to[]= _T("to");
const TCHAR S::loop[]= _T("loop");
const TCHAR S::type[]= _T("type");
const TCHAR S::task_prototypes[] = _T("task_prototypes");
const TCHAR S::variables[] = _T("variables");
const TCHAR S::default_performer[] = _T("default_performer");
const TCHAR S::default_manager[] = _T("default_manager");
const TCHAR S::end_connector[]= _T("end_connector");
const TCHAR S::first_activity[] = _T("first_activity");
const TCHAR S::percentage[] = _T("percentage");
const TCHAR S::role[] = _T("role");
const TCHAR S::font[]= _T("font");
const TCHAR S::color[]= _T("color");
const TCHAR S::default_id[]= _T("default_id");
const TCHAR S::default_name[]= _T("default_name");
const TCHAR S::editor_module[] = _T("editor_module");
const TCHAR S::editor_function[] = _T("editor_function");
const TCHAR S::associated_template[] = _T("associated_template");
const TCHAR S::pano_lenght[] = _T("pano_lenght");
const TCHAR S::pano_width[] = _T("pano_width");
const TCHAR S::default_duration[] = _T("default_duration");
//const TCHAR S::[] = _T("");

CaplEntity * E::apl_folder=0;
CaplEntity * E::document_type=0;
CaplEntity * E::apl_document=0;
CaplEntity * E::apl_document_revision=0;
CaplEntity * E::apl_digital_document=0;
CaplEntity * E::apl_document_relationship=0;
CaplEntity * E::apl_stored_document=0;
CaplEntity * E::apl_assigned_document=0;
CaplEntity * E::apl_document_lock=0;
CaplEntity * E::apl_document_revision_history=0;
CaplEntity * E::date_and_time=0;
CaplEntity * E::calendar_date=0;
CaplEntity * E::local_time=0;
CaplEntity * E::coordinated_universal_time_offset=0;
CaplEntity * E::apl_document_reference=0;
                                             